using System;

    namespace takmicenje_27._11_1.zad
    {
        class Program
        {
            static void Main(string[] args)
            {
           
                string unosslova = Console.ReadLine();
                char[] slova = unosslova.ToCharArray();
                string[] unos2 = Console.ReadLine().Split();
                int a1 = int.Parse(unos2[0]);
                int a2 = int.Parse(unos2[1]);
                string res ;
                if (a1 == a2)
                {
                    res = new string(' ', a1).Replace(" ", unosslova);
                    Console.WriteLine(res);
                }
                else if (a1 + 1 == a2)
                {
                    res = new string(' ', a1).Replace(" ", unosslova);
                    res = slova[1]+res;
                    Console.WriteLine(res);
                }
                else if (a2 + 1 == a1)
                {
                    res = new string(' ', a2).Replace(" ", unosslova);
                    res = res + slova[0];
                    Console.WriteLine(res);
                }
                else
                {
                    Console.WriteLine("nemoguce");
                }
            
            }
        }
    }